import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { BootstrapConfirmConfig } from '../bootstrap-confirm-config.interface';
export declare class ConfirmService {
    private config;
    private modalService;
    constructor(config: BootstrapConfirmConfig, modalService: NgbModal);
    setDefaults(title: string, ok: string, cancel: string): void;
    confirm(msg: string, ok?: string, cancel?: string): Promise<boolean>;
}
